module.exports = function(grunt) {

  grunt.initConfig({

    pkg : grunt.file.readJSON('package.json'),

    jsdoc : {
      dist : {
        src : [ 'index.js', 'README.md', 'LICENSE' ],
        options : {
          destination : 'doc',
          template : "node_modules/ink-docstrap/template/",
          configure : "jsdoc.json"
        }
      }
    },

    clean : {
      doc : 'doc'
    },

    mochaTest : {
      options : {
        reporter : 'spec'
      },
      test : {
        src : 'spec.js'
      }
    },

    watch : {

      all : {
        options : {
          atBegin : true,
        },
        files : [ 'spec.js', 'index.js' ],
        tasks : [ 'mochaTest', 'clean:doc', 'jsdoc:dist' ]
      }

    }

  });

  grunt.loadNpmTasks('grunt-jsdoc');
  grunt.loadNpmTasks('grunt-mocha-test');
  grunt.loadNpmTasks('grunt-contrib-clean');
  grunt.loadNpmTasks('grunt-contrib-watch');

  grunt.registerTask('test', 'mochaTest');

};
